API reference
Webhooks
GET
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
Success. Writes without read permission return an ID and revision only.
application/json- response
webhooks*array<>curl -X GET 'https://app.italic.com/api/v2/webhooks'Example Response
{
"webhooks": [
{
"id": "string",
"url": "string",
"events": [
"string"
],
"createdAt": 0
}
]
}POST
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
Idempotency-Key?stringReuse the same key and body when retrying; the retry returns the first result with replayed: true. Keys are kept for 24 hours.
Length
1 <= length <= 128application/json- body
url*stringLength
1 <= length <= 2048events*array<>Items
1 <= items <= 3Success. Writes without read permission return an ID and revision only.
application/json- response
webhook*secret*stringreplayed?booleancurl -X POST 'https://app.italic.com/api/v2/webhooks' \
-H 'Content-Type: application/json' \
-d '{
"url": "string",
"events": [
"recording.created"
]
}'Example Response
{
"webhook": {
"id": "string",
"url": "string",
"events": [
"string"
],
"createdAt": 0
},
"secret": "string",
"replayed": true
}DELETE
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256Success. Writes without read permission return an ID and revision only.
application/json- response
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256deleted*booleancurl -X DELETE 'https://app.italic.com/api/v2/webhooks/string'Example Response
{
"id": "string",
"deleted": true
}